#ifndef VFIELDFUNC_H
#define VFIELDFUNC_H

///
/// This header file is key for minimizing run-time compilation load. The names
/// used for the functions for the vector-field and for the event function are
/// defined by the following declarations. Therefore, the only thing that MATLAB
/// user needs to be careful about is to use the names used below and the same
/// input arguments as below for their ODEFUN and EVENTFUN.
///
//extern void vfieldfunc (unsigned ndims, double t, double* y, double* params, double* f);
//extern void eventfunc (unsigned ndims, double t, double *y, double *params, 
//					   int ievent, double &value, int &isterminal, int &direction);
#endif

