addpath FHN
p = [1, 0.006, 1.185, 0.5]
options = dopset('AbsTol',1e-14,'RelTol',1e-12,'EventTol',1e-14,'Events',1);
figure(1)
clf
hold on
axis([-2,2,-1,1])
eqm = fhn_eq(p)
fhn_nullcline(p);
if eqm(1,1) < eqm(2,1) 
    if eqm(2,1) < eqm(3,1)
        sind = 2
    elseif eqm(1,1) < eqm(3,1)
        sind = 3
    else
        sind = 1
    end
else
    if eqm(2,1) > eqm(3,1)
        sind = 2
    elseif eqm(1,1) > eqm(3,1)
        sind = 3
    else
        sind = 1
    end
end
    
[ws1,ws2,wu1,wu2] = fhn2_smflds(eqm(sind,:),p,1e-5);

[ts,pts,te,ye,ie,stats] = dop853('fhn2d',[0 2000],[1,-1],options,p);
plot(pts(:,1),pts(:,2),'g')
