function [unull,vnull] = fhn_nullcline(cf)
%Plot nullclines of FitzHugh-Nagumo model
%   Returns v as a function of u on nullclines
u = [-2.5:0.01:2.5];
unull = u.^3/3 - u;
vnull = -(cf(1)*u+cf(2))/cf(3);
plot(u,unull,'k',u,vnull,'k');
hold on
eqm = fhn_eq(cf)
plot(eqm(:,1),eqm(:,2),'o','MarkerFaceColor','k');
end

