function [out] = fhn_snf(x,p)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

h = 1e-4;
xin = x;
yin = (-p(1)*xin-p(2))/p(3);
pin = [xin,yin];
xin1 = x + h;
yin1 = (-p(1)*xin1-p(2))/p(3);
pin1 = [xin1,yin1];
xin2 = x - h;
yin2 = (-p(1)*xin2-p(2))/p(3);
pin2 = [xin2,yin2];
options = dopset('AbsTol',1e-14,'RelTol',1e-12,'MaxStepSize',0.01,'MaxSteps',1e7,'EventTol',1e-14,'Events',1);
%Compute the trajectories and store initial and final points
[ts,pts,te,ye,ie,stats] = dop853('fhn_el2',[0 2000],pin,options,p);
[ts1,pts1,te1,ye1,ie1,stats] = dop853('fhn_el2',[0 2000],pin1,options,p);
[ts2,pts2,te2,ye2,ie2,stats] = dop853('fhn_el2',[0 2000],pin2,options,p);
a0 = pts(end,1);
a1 = (pts1(end,1) - pts2(end,1))/(2*h);
a2 = (pts1(end,1) - 2*pts(end,1) + pts2(end,1))/(2*h^2);
m = a0 - (a1-1)^2/(4*a2) - x;
xmin = (a1)/(2*a2);
out = [m,xmin,a0-x,a1-1,a2];
end

