function [sud] = hom_diff( p)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
    vinc = 1e-7;
    options = dopset('AbsTol',1e-14,'RelTol',1e-12,'EventTol',1e-14,'Events',1);
eqm = fhn_eq(p);
    jac = fhn2_jac(eqm(1,:),p);
    if jac(1,1)*jac(2,2) - jac(1,2)*jac(2,1) < 0
        saddle = eqm(1,:);
    else
        jac = fhn2_jac(eqm(2,:),p);
        if jac(1,1)*jac(2,2) - jac(1,2)*jac(2,1) < 0
        saddle = eqm(2,:);
        else   
        jac = fhn2_jac(eqm(3,:),p);
        saddle = eqm(3,:);
        end
    end
    [V,D] = eig(jac);
    if D(1,1) < 0
        sind = 1;
    else
        sind = 2;
    end
    uind = 3-sind;
    p(6) = -1;
    xs = saddle+vinc*sign(V(2,sind))*[V(1,sind),V(2,sind)];
    [ts1,ws1,te,ye,ie,stats] = dop853('fhn_el3',[0 -2000],xs,options,p);
    p(6) = 1;
    xu = saddle-vinc*sign(V(2,uind))*[V(1,uind),V(2,uind)];
    [tu1,wu1,te,ye,ie,stats] = dop853('fhn_el3',[0 100],xu,options,p);
    sud = ws1(end,:)-wu1(end,:);
end

